org.apache.ignite.spi.tracing

## Class TracingConfigurationParameters.Builder

- java.lang.Object
- - org.apache.ignite.spi.tracing.TracingConfigurationParameters.Builder

- Enclosing class:
    TracingConfigurationParameters

      public static class TracingConfigurationParameters.Builder
      extends Object

  `TracingConfigurationParameters` builder.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TracingConfigurationParameters` | `build()` Builder's build() method.
    `@NotNull TracingConfigurationParameters.Builder` | `withIncludedScopes(Set<Scope> includedScopes)` Builder method that allows to set included scopes.
    `@NotNull TracingConfigurationParameters.Builder` | `withSamplingRate(double samplingRate)` Builder method that allows to set sampling rate.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### withSamplingRate

          @NotNull
          public @NotNull TracingConfigurationParameters.Builder withSamplingRate(double samplingRate)

      Builder method that allows to set sampling rate.
      Parameters:
        `samplingRate` - Number between 0 and 1 that more or less reflects the probability of sampling specific trace. 0 and 1 have special meaning here, 0 means never 1 means always. Default value is 0 (never).
      Returns:
        `TracingConfigurationParameters` instance.

    - #### withIncludedScopes

          @NotNull
          public @NotNull TracingConfigurationParameters.Builder withIncludedScopes(Set<Scope> includedScopes)

      Builder method that allows to set included scopes.
      Parameters:
        `includedScopes` - Set of `Scope` that defines which sub-traces will be included in given trace. In other words, if child's span scope is equals to parent's scope or it belongs to the parent's span included scopes, then given child span will be attached to the current trace, otherwise it'll be skipped. See `Span.isChainable(Scope)` for more details.
      Returns:
        `TracingConfigurationParameters` instance.

    - #### build

          public TracingConfigurationParameters build()

      Builder's build() method.
      Returns:
        `TracingConfigurationParameters` instance.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023